import type { PajamasIcon } from "@/types/icons.ts"
import * as m from "@/paraglide/messages"

const gitUrl = import.meta.env.GIT_URL

export interface MyLink {
  title: string;
  url: string;
  message?: string;
  icon?: PajamasIcon
}

export default [
  {
    title: "GitHub",
    url: "https://github.com/emberal",
    icon: "pajamas:github"
  },
  {
    title: "Gitea",
    url: `${gitUrl}/martials`,
    message: m.forPersonalProjects(),
    icon: "pajamas:gitea"
  },
  {
    title: "LinkedIn",
    url: "https://www.linkedin.com/in/martin-b-2a69391a3/",
    icon: "pajamas:linkedin"
  },
  {
    title: "Mastodon (Snabelen)",
    url: "https://snabelen.no/@Martials",
    icon: "pajamas:mastodon"
  },
  {
    title: "Pixelfed",
    url: "https://pixelfed.social/i/web/profile/261454857934868480"
  },
  {
    title: "Steam",
    url: "https://steamcommunity.com/id/martials/"
  },
  {
    title: "Trakt.tv",
    url: "https://trakt.tv/users/martials"
  }
] satisfies MyLink[]
